<?php

/**
* $Id: toolbar.badwords2.html.php,v 1.3 2005/09/05 15:35:47 walb Exp $
*
* Badwords2 Text Filtering Component!
* @ Copyright (C) 2005 - 2006 Wim Albers, Niels Vandekeybus, Robert Anthony Pitera
* @ Based on the initial work Badword by Pravin Hegde
* @ All rights reserved
* @ Badwords2 Text Filter component is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
*
**/

// ensure this file is being included by a parent file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

class menuBadword {

	function EDIT_BADWORD_MENU()
	{
		mosMenuBar::startTable();
		mosMenuBar::save('save_badword');
		mosMenuBar::cancel('cancel_badword');
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}

	function EDIT_ADMIN_MENU()
	{
		mosMenuBar::startTable();
		mosMenuBar::save('save_admin');
		mosMenuBar::cancel('cancel_admin');
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}

	function EDIT_REGEXP_MENU()
	{
		mosMenuBar::startTable();
		mosMenuBar::save('save_regexp');
		mosMenuBar::cancel('cancel_regexp');
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}


	function SETTINGS_MENU()
	{
		mosMenuBar::startTable();
		mosMenuBar::save('saveSettings');
		mosMenuBar::back();
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}

	function REGEXP_MENU()
	{
		mosMenuBar::startTable();
		mosMenuBar::addNew('new_regexp');
		mosMenuBar::editList('edit_regexp');
		mosMenuBar::deleteList('', 'delete_regexp');
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}

	function ADMINS_MENU()
	{
		mosMenuBar::startTable();
		mosMenuBar::addNew('new_admin');
		mosMenuBar::editList('edit_admin');
		mosMenuBar::deleteList('', 'delete_admin');
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}

	function BADWORDS_MENU()
	{
		mosMenuBar::startTable();
		mosMenuBar::addNew('new_badword');
		mosMenuBar::editList('edit_badword');
		mosMenuBar::deleteList('', 'delete_badword');
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}

	function DEFAULT_MENU()
	{
		mosMenuBar::startTable();
		mosMenuBar::back();
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}
}

?>